function Create(self)
    print("Red C-4 planted!");
    --Make sure the red C-4 list exists.
    if c4ListA == nil then
	--If not, create it.
	c4ListA = { };
    end
    --Add this C-4 to the list.
    c4ListA[#c4ListA + 1] = self;
end